# eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgShelvesSelectionDialog

Module implementing a dialog to select multiple shelve names.

### Global Attributes

None

### Classes

HgShelvesSelectionDialog | Class implementing a dialog to select multiple shelve names.

### Functions

None

## HgShelvesSelectionDialog

Class implementing a dialog to select multiple shelve names.

### Derived from

QDialog, Ui_HgShelvesSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgShelvesSelectionDialog | Constructor
getSelectedShelves | Public method to retrieve the selected shelve names.
on_shelvesList_itemSelectionChanged | Private slot to enabled the OK button if items have been selected.

### Static Methods

None

#### HgShelvesSelectionDialog (Constructor)

HgShelvesSelectionDialog(message, shelveNames, parent=None)

Constructor

message
  message to be shown (string)
shelveNames
  list of shelve names (list of string)
parent
  reference to the parent widget (QWidget)

#### HgShelvesSelectionDialog.getSelectedShelves

getSelectedShelves()

Public method to retrieve the selected shelve names.

Return:
  selected shelve names (list of string)

#### HgShelvesSelectionDialog.on_shelvesList_itemSelectionChanged

on_shelvesList_itemSelectionChanged()

Private slot to enabled the OK button if items have been selected.

Up